package com.platonoff.www;

import java.io.ByteArrayOutputStream;
import java.io.IOException;
import java.io.UnsupportedEncodingException;

/**
  HTTP utilities.
  (c) 2001-2002 Dmitry I. Platonoff <dmitry@platonoff.com>
*/
public class HttpUtil
{
  /** Encodes a string for HTTP. */
  public static String encode( String path, String encoding ) {
    StringBuffer sb = new StringBuffer();
    try {
      byte[] b = path.getBytes( encoding );
      for ( int i = 0; i < b.length; i++ ) {
        int c = 0xFF & b[i];
        if ( ( c >= 'A' && c <= 'Z' ) || ( c >= 'a' && c <= 'z' ) ||
            ( c >= '0' && c <= '9' ) || c == '/' || c == '.' || c == '_' )
          sb.append( ( char ) c );
        else
          sb.append( '%' ).append( toHex( c >> 4 ) ).append( toHex( c & 15 ) );
      }
    }
    catch ( UnsupportedEncodingException unsupportedEncodingException ) { }
    return sb.toString();
  }


  /** Decodes an HTTP header string. */
  public static String decode( String path, String encoding ) {
    int size = path.length();
    ByteArrayOutputStream baos = new ByteArrayOutputStream( size * 2 );
    for ( int i = 0; i < size; i++ ) {
      int c = path.charAt( i );
      baos.write( c == '%' ? ( fromHex( path.charAt( ++i ) ) << 4 ) +
        fromHex( path.charAt( ++i ) ) : c );
    }
    try {
      return baos.toString( encoding );
    }
    catch ( UnsupportedEncodingException unsupportedEncodingException ) {
      return baos.toString();
    }
    finally {
      try { baos.close(); }
      catch ( IOException ioException ) { ioException.printStackTrace(); }
    }
  }


  /** Returns a hexadecimal character for a given number (0-15). */
  public static char toHex( int n ) {
    return ( char ) ( n < 10 ? ( n + '0' ) : ( n + 'A' - 10 ) );
  }


  /** Returns a number for a given hexadecimal character (0-F). */
  public static int fromHex( char c ) {
    return c > '9' ? c - 'A' + 10 : c - '0';
  }
}
