<!--

  Basic elements template

  Author: <A HREF="mailto:dmitry@platonoff.com">Dmitry I. Platonoff</A>
  $Revision: $
  $Log: $
-->
<?xml version="1.0" encoding="koi8-r"?>
<xsl:output
  method='html'
  disable-output-escaping='true'
  indent='false'
  omit-html-declaration='true'
  encoding='koi8-r'
/>

<!--
  Main page template
-->
<xsl:template match='page'>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.0 Transitional//EN"/>
<HTML>
<HEAD><TITLE><{@title}></TITLE>
<LINK REL="STYLESHEET" TYPE="text/css" HREF="/css/styles.css"/>
<xsl:apply-templates select='script'/>
</HEAD>
<BODY>
  <xsl:if test='(@name)'>
    <xsl:attribute name='NAME'><{@name}></xsl:attribute>
  </xsl:if>
  <xsl:if test='(@onLoad)'>
    <xsl:attribute name='onLoad'><{@onLoad}></xsl:attribute>
  </xsl:if>
  <CENTER><TABLE CELLPADDING=0 CELLSPACING=0 BORDER=0>
    <xsl:attribute name='WIDTH'>
      <xsl:choose>
        <xsl:when test='(@width)'><{@width}></xsl:when>
        <xsl:otherwise>96%</xsl:otherwise>
      </xsl:choose>
    </xsl:attribute>

    <!--  main content -->
    <xsl:apply-templates select="page-content"/>

    <!-- (c) info -->
    <TR><TD ALIGN=CENTER COLSPAN=2>
      &nbsp;<BR/>
      <FONT CLASS="comment">
        Copyright &copy; 2000-2003
        <A CLASS="comment" HREF="mailto:webmaster@platonoff.com">Helga &amp; Dmitry Platonoff</A>
        <BR/>
        All rights reserved.
      </FONT>
    </TD></TR>

  </TABLE></CENTER>
</BODY></HTML>
</xsl:template>


<!--
  Page content template
-->
<xsl:template match='page-content[@title]'>
  <TR><TD COLSPAN=2 CLASS="borderBg">
    <TABLE WIDTH="100%" CELLPADDING=2 CELLSPACING=1 BORDER=0>

      <!-- title and menu -->
      <TR><TD CLASS="menuBg">
        <TABLE BORDER=0 CELLPADDING=0 CELLSPACING=0 WIDTH="100%">
          <TR>
            <TD WIDTH="90%">
              &nbsp;<B><{@title}></B>
              <xsl:if test='(content-menu)'><B>: </B>
                <xsl:apply-templates select='content-menu/node()'/>
              </xsl:if>
            </TD>
            <TD WIDTH="10%" ALIGN=RIGHT>
              <A HREF="/">Home</A>&nbsp;
            </TD>
          </TR>
        </TABLE>
      </TD></TR>

      <!-- it's either one or more content-boxes or one free running content.
        Do not mix those - if you do, boxes have the priority -->
      <xsl:for-each select='content-box'>
        <TR><TD>
          <xsl:attribute name='CLASS'>
            <xsl:choose>
              <xsl:when test='@type="header"'>tableHeader</xsl:when>
              <xsl:otherwise>bg</xsl:otherwise>
            </xsl:choose>
          </xsl:attribute>
          <xsl:if test='@align'>
            <xsl:attribute name='ALIGN'><{@align}></xsl:attribute>
          </xsl:if>
          <xsl:apply-templates/>
        </TD></TR>
      </xsl:for-each>
      <xsl:if test='not(content-box)'>
        <TR><TD CLASS="bg">
          <xsl:apply-templates select='text(.)|*[not(name(.)="content-menu")]'/>
        </TD></TR>
      </xsl:if>

    </TABLE>
  </TD></TR>
</xsl:template>


<!--
  Exception template

<xsl:template match='error-info'>
  <BR/>
  <DL>
    <DD>
      <B><xsl:apply-templates select='message'/></B>
    </DD>
  </DL>

  <xsl:if test='(/page/login-info)'>
    <HR NOSHADE SIZE=1/>
  
    <CENTER>
      <FORM METHOD=POST>
        <xsl:attribute name='ACTION'><{$exception-mail-url}></xsl:attribute>
  
        <H3>Report a Problem</H3>
        To report an error enter the description of your actions before
        this error has occured<BR/>
        and press the <B>Send</B> button to send your message to the
        system administrator.<BR/>
        All the technical information displayed below will be included
        automatically.<BR/>
        Your help is appreciated.<P/>
        <TABLE BORDER=0 CELLPADDING=0 CELLSPACING=3>
          <TR>
            <TD ALIGN=RIGHT>Your Name:</TD>
            <TD>
              <INPUT TYPE=TEXT SIZE=30 NAME="userName">
                <xsl:attribute name='VALUE'>
                  <{/page/logon-info/name}>
                </xsl:attribute>
              </INPUT>
            </TD>
          </TR>
          <TR>
            <TD ALIGN=RIGHT>Your Email:</TD>
            <TD>
              <INPUT TYPE=TEXT SIZE=30 NAME="userEmail">
                <xsl:attribute name='VALUE'>
                  <{/page/logon-info/email}>
                </xsl:attribute>
              </INPUT>
            </TD>
          </TR>
          <TR>
            <TD COLSPAN=2 ALIGN=CENTER>
              Comments:
              <BR/>
              <TEXTAREA NAME="comment" COLS=50 ROWS=8></TEXTAREA>
            </TD>
          </TR>
        </TABLE>
        <BR/>
        <INPUT TYPE=SUBMIT VALUE="Send"/>
        <INPUT TYPE=HIDDEN NAME="referer">
          <xsl:attribute name='VALUE'><{referer}></xsl:attribute>
        </INPUT>
        <INPUT TYPE=HIDDEN NAME="message">
          <xsl:attribute name='VALUE'><{message}></xsl:attribute>
        </INPUT>
        <INPUT TYPE=HIDDEN NAME="exception">
          <xsl:attribute name='VALUE'><{exception}></xsl:attribute>
        </INPUT>
      </FORM>
    </CENTER>
  </xsl:if>

  <HR NOSHADE SIZE=1/>

  <PRE><{exception}></PRE>
</xsl:template>
-->


<!--
  Message template
-->
<xsl:template match='content-message'>
  <BR/><CENTER><H4><xsl:apply-templates select='./node()'/></H4></CENTER>
</xsl:template>
